#INCLUDE "RWMAKE.CH"
#INCLUDE "PROTHEUS.CH"

/*


ͻ
Programa  RFATC001  Autor  Alessandro Villar  Data    11/01/13    
͹
Desc.     Cadastros para Finalizao da Ordem de Separao            
                                                                      
͹
Uso        Protheus 11 - Especfico para a empresa Arcolor            
ͼ


*/

User Function RFATC001()  

Local _lRet    := .T. 
Local _cNOMOP2 := ""
Local cPerg    := "RFATC001"

//Pergunte(cPerg,.T.)
//Verifica as perguntas selecionadas
ValidPerg()
Pergunte(cPerg,.F.)
mv_par01 := ""

If AllTrim(CB7->CB7_STATUS)=="0" .AND. AllTrim(CB7->CB7_STATPA) <>"1"
	If MsgYesNo("Deseja encerrar o processo de separao neste momento?")
   		If !(Empty(CB7->CB7_HRFIN) .AND. Empty(CB7->CB7_DTFIN)) //!EMPTY = NAO VAZIO
      		If !MsgYesNo("Processo de separao j foi finalizado"+chr(13)+chr(10)+"Deseja sobrepor esta informao?") 
     			MsgAlert("Abortado pelo operador!") //Caso clique em no entra nessa condio e sai da rotina
     			Return
      		EndIf
		EndIf 
		While Empty(mv_par01) 
			If !Pergunte(cPerg,.T.) //Se cancelar o Pergunte ou fechar ele sai da rotina
     			MsgAlert("Abortado pelo operador!")
     			Return
			ElseIf Empty(mv_par01) //Seno, se estiver em branco exibe mensagem
				Alert("Conferente no preenchido!")
			Else //campo preenchido, vai realizar conferncia
				dbSelectArea("CBN")
				dbSetOrder(1) 
				If !dbSeek(xFilial("CBN") + mv_par01)
					Alert("Conferente no existe!")
					mv_par01 := ""
				Else //se encontrou o registro sai do loop e vai para a linha 56
					Exit
				EndIf
			EndIf
		EndDo
       	dbSelectArea("CB7")
       	If RecLock("CB7",.F.) 
			CB7->CB7_HRFIN  := Left(Time(),5) // Se o Campo Estiver com Tamanho 5 Precisa trocar para Left(Time(),5)
			CB7->CB7_DTFIN  := dDataBase
			CB7->CB7_CODOP2 := MV_PAR01
			CB7->CB7_CONF   := CBN->CBN_NOME
			CB7->(MSUNLOCK())  
			MsgInfo("Processo de separao foi finalizado com sucesso!!","Operao finalizada com sucesso!!!") 
		Endif
	EndIf
EndIf  
	
Return  

   
//**************************************************************************************
//                                 Valida Perguntas
//**************************************************************************************
Static Function ValidPerg()

_sAlias := Alias()
DbSelectArea("SX1")
DbSetOrder(1)
cPerg := ("RFATC001")//PADR(cPerg,10)
aRegs :={}

//--------------------------------------------------------------------------------------
// Variveis utilizadas para parametros 

// mv_par01	   Conferente

//--------------------------------------------------------------------------------------  
AADD(aRegs,{cPerg,"01","Conferente" 	  		,"","","mv_ch1","C",30,0,0,"G","","mv_par01","","","","      ","","","","","","","","","","","","","","","","","","","","","CB7",""})

	  	
For i:=1 to Len(aRegs)
	If !dbSeek(cPerg+aRegs[i,2])
		RecLock("SX1",.T.)
		For j:=1 to FCount()
			If j <= Len(aRegs[i])
				FieldPut(j,aRegs[i,j])
			Else
				Exit
			EndIf
		Next
		MsUnlock()
	EndIf
Next

DbSelectArea(_sAlias)

Return  


